Have frontend groups request the removal of unused glideins
Target version: v3 2 21 Spent time: 0.00 hour
Description

When in the frontend there are no more jobs waiting to run in a group, the frontend could ask the factory to remove all leftover idle
glideins.

There is already a tool to manually trigger the removal, remove_requested_glideins, but could be good to add the removal
automatically in the frontend request cycle.

It would reduce waste when there is no need anymore for glideins.

Group1 glideins would not be left around for Group2 jobs to use, but if G2 jobs can run on G1 glideins (same credentials, same start
expression), then these should be one group.

Glideins would still benefit from temporal multiplexing (multiple requests in the same group) if the new requests for jobs arrive before
the glidein removal kicks in.

This should be a configurable feature, off by default for now.

History

#1 - 09/20/2017 10:43 AM - Parag Mhashilkar
- Stakeholders updated

#2 - 09/20/2017 10:44 AM - Marco Mambelli

- Target version changed from v3_2 xtov3 2 21

#3 - 09/28/2017 09:13 AM - Parag Mhashilkar
- Assignee set to Marco Mambelli

- Priority changed from Normal to High

Bumping up the priority as per email from James.

#4 - 12/04/2017 11:53 AM - Marco Mambelli

- Status changed from New to Feedback

- Assignee changed from Marco Mambelli to Dennis Box
#5 - 12/04/2017 11:54 AM - Marco Mambelli
Implemented the requested feature.

Added also hooks for more complex future removal policies.

#6 - 12/05/2017 11:12 AM - Dennis Box

- Assignee changed from Dennis Box to Marco Mambelli

Feedback sent. OK to merge.
Dennis

#7 - 12/14/2017 02:45 PM - Marco Mambelli

- Status changed from Feedback to Resolved

#8 - 02/13/2018 10:53 AM - Parag Mhashilkar

09/24/2019 12




- Status changed from Resolved to Closed

09/24/2019 22
